Subject: bug#7146: (make-symbol "") issues

From: Chong Yidong <[email-masked]>
Date: Sun, 03 Oct 2010 10:55:17 -0400

Johan Bockgård <[email-masked]> writes:

> The problem is that there is no read syntax for a symbol with an empty
> name, so it can't reliably be printed to a string (file) and read back.
>
>   (symbol-name (aref [#: x] 0)) => "x" ; This is what happens in the report.
>
>   but (symbol-name (aref [#:] 0)) => ""
>
> You could change the reader to somehow recognize the first case. The
> problem would come back if you changed `make-symbol' to `intern',
> though, since it really prints as nothing at all.

I guess we could make intern and make-symbol signal errors for the empty
string.